Subject: Re: bug#7771: 23.1; can't turn off font-lock-mode globally

From: "K. Richard Pixley" <[email-masked]>
Date: Sun, 02 Jan 2011 17:20:06 -0800

On 20110102 15:49, Stefan Monnier wrote:
>> (global-font-lock-mode 0) doesn't seem to work.
> It should work.  So please tell us the cases where it doesn't work, so
> we can try and figure out where's the problem.
After starting emacs with "emacs -q", call (global-font-lock-mode 0) by 
hand, then visit a python file.  For me, it is font-locked.

When I call (global-font-lock-mode 0) in my .emacs.el, python mode isn't 
font locked.  But if I ever M-x python-shell, then files visited 
afterward will be font locked, even though global-ton-lock-mode's value 
is nil.  At this point I have to restart emacs in order to see anything.

--rich